<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.37 $
 * $Author: tora60 $
 * $Date: 2009/02/25 11:54:49 $
 
 	Settings: (Sample)
 
 				animationSpeed: 'normal', fast/slow/normal 
				padding: 40, padding for each side of the picture 
				opacity: 0.35,  Value betwee 0 and 1 
				showTitle: true,  true/false 
				allowresize: true,  true/false 
				counter_separator_label: '/',  The separator for the gallery counter 1 "of" 2 
				theme: 'light_rounded',  light_rounded / dark_rounded / light_square / dark_square 
				hideflash: false,  Hides all the flash object on a page, set to TRUE if flash appears over prettyPhoto 
				modal: false,  If set to true, only the close button will close the window 
				changepicturecallback: function(){},  Called everytime an item is shown/changed 
				callback: function(){}  Called when prettyPhoto is closed 

Original by http://www.no-margin-for-errors.com/projects/prettyPhoto-jquery-lightbox-clone/
 */

defined('mxMainFileLoaded') or die('access denied');

if (!mxGetAdminPref("radminsuper")) {
    mxErrorScreen("Access Denied");
    die();
}

/* Pfad zu den Editordateien */
if (!defined('MX_PRETTYPHOTO_DIR')) define('MX_PRETTYPHOTO_DIR', 'includes/prettyPhoto');

/* Sprachdatei auswaehlen */

include_once(MX_PRETTYPHOTO_DIR.'/language/lang-' . $GLOBALS['currentlang'] . '.php');
include_once(MX_PRETTYPHOTO_DIR.'/mx_prettyphoto.php');

if (empty($ok)) $ok=0;

/* Was ist zu tun... */
switch ($op) {
    case "readlightbox":
        prettyphoto_settings($ok);
        break;
    case "savelightbox":
        prettyphoto_savesettings();
		break;
}

function prettyphoto_savesettings() {
 // Einstellungen speichern
    global $prefix, $currentlang, $multilingual, $bgcolor1, $bgcolor2, $bgcolor3 ;
     echo _SAVESETTINGSLIGHTBOX.'<br />';

    $content = "<?php\n";
    $content .= "/***************************************************************************\n";
    $content .= " pragmaMx - Web Content Management System\n";
    $content .= " Copyright by pragmaMx Developer Team - http://www.pragmamx.org\n";
    $content .= " config.php for LightBox -  writen by Olaf Herfurth\n";
    $content .= " \n";
    $content .= "***************************************************************************/\n\n";
	$content .= "if (!defined(\"mxMainFileLoaded\")) die (\"You can't access this file directly...\");\n\n";
	$content .= "\$mxPrettyPhoto = array();\n";
	$content .= "\$mxPrettyPhoto['animationSpeed'] = '".$_POST['animationSpeed']."';\n";
	$content .= "\$mxPrettyPhoto['padding'] ='".$_POST['padding']."';\n";
	$content .= "\$mxPrettyPhoto['opacity'] ='".$_POST['opacity']."';\n";
	$content .= "\$mxPrettyPhoto['showTitle'] =".$_POST['showTitle'].";\n";
	$content .= "\$mxPrettyPhoto['allowresize'] =".$_POST['allowresize'].";\n";
	$content .= "\$mxPrettyPhoto['counter_separator_label'] ='/';\n";
	$content .= "\$mxPrettyPhoto['theme'] ='".$_POST['theme']."';\n";
	$content .= "\$mxPrettyPhoto['hideflash'] =1;\n";
	$content .= "\$mxPrettyPhoto['modal'] =0;\n";
    $content .= "\n";
    $content .= "?>";

    // require_once(MX_PRETTYPHOTO_DIR . '/config.php');
	
    $conffile = MX_PRETTYPHOTO_DIR . "/config.php";
    @chmod($conffile, 0777);
    $file = @fopen($conffile, "w");
    fwrite($file, $content);
    fclose($file);
    @chmod($conffile, 0444);
	
}

function prettyphoto_settings($ok=0) {

    global $prefix, $currentlang, $multilingual, $bgcolor1, $bgcolor2, $bgcolor3 ;


    include("header.php");
	
	
    GraphicAdmin();
	
	
    title("LightBox Settings");
    OpenTable();
	  echo '<style type="text/css">
	  .cinput label {
		   width: 250px;
		   float: left;
		   clear: both;
		   padding: 1px 1px;
		   margin: 1px 0;
		   }
	   .cinput legend {
		 padding: 1px 1px;
		 border: 1px solid #ddd;
		 text-transform: uppercase;
		 }
		.cinput fieldset {
		  margin: 1px 0;
		  padding: 1px 1px;
		  }
	    .cinput input, .kontaktformular textarea {
		 padding: 1px 1px;
		 margin: 1px 0;
		 } 
	
	   </style>'
	   ;
	 if ($ok==1) prettyphoto_savesettings();
	
    pmxAddprettyPhoto() ;
	 
/* Konfigurations-Datei einbinden zum auslesen */
     include(MX_PRETTYPHOTO_DIR . '/config.php');

     echo ' <form action="admin.php" method="post">';
	 echo '	<input type="hidden" name="op" value="readlightbox" size=0>';
	 echo '	<input type="hidden" name="ok" value="1" size=0>';
	 echo ' <fieldset class="cinput">';
	 echo '    <legend>Settings</legend>';
	 echo '    <label>'._PADDING.'</label><input type="text" name="padding" maxlength="3" value="' . $mxPrettyPhoto['padding'] . '" size="5" />px<br>';
	 echo '    <label>'._OPACITY.'</label><input type="text" name="opacity" maxlength="3" value="' . $mxPrettyPhoto['opacity'] . '" size="5" />(0-1)<br>';
	
	if ($mxPrettyPhoto['showTitle']=="false") {
	  $ss01="selected";
	  $ss02="";
	  } else {
	  $ss01="";
	  $ss02="selected";
	 } 
	
	 echo '    <label>'._SHOWTITLE.'</label>
	           <select name="showTitle" size=1 width=50>
			     <option value="0" '.$ss01.'>'._NO.'</option>
			     <option value="1" '.$ss02.'>'._YES.'</option>				 
			   </select> 
				<br />  ';

	if ($mxPrettyPhoto['allowresize']=="false") {
	  $ss11="selected";
	  $ss12="";
	  } else {
	  $ss11="";
	  $ss12="selected";
	 } 

	 echo '    <label>'._ALLOWRESIZE.'</label>
	           <select name="allowresize" size=1 width=50>
			     <option value="0" '.$ss11.'>'._NO.'</option>
			     <option value="1" '.$ss12.'>'._YES.'</option>				 
			   </select> 
				 <br /> ';
	
	 $ss21=($mxPrettyPhoto['animationSpeed']=='normal')? "selected":"";
	 $ss22=($mxPrettyPhoto['animationSpeed']=='slow')? "selected":"";
	 $ss23=($mxPrettyPhoto['animationSpeed']=='fast')? "selected":"";
	 
	 
	 echo '    <label>'._ANIMATIONSPEED.'</label>
	           <select name="animationSpeed" size=1 width=50>
			     <option value="normal" '.$ss21.'>'._ANINORMAL.'</option>
			     <option value="slow" '.$ss22.'>'._ANISLOW.'</option>
			     <option value="fast" '.$ss23.'>'._ANIFAST.'</option>				 
			   </select> 
				 <br /> ';
				 
	 $ss31=($mxPrettyPhoto['theme']=='light_rounded')? "selected":"";
	 $ss32=($mxPrettyPhoto['theme']=='dark_rounded')? "selected":"";
	 $ss33=($mxPrettyPhoto['theme']=='light_square')? "selected":"";
	 $ss34=($mxPrettyPhoto['theme']=='dark_square')? "selected":"";
				 
	 echo '    <label>'._DESIGN.'</label>
	           <select name="theme" size=1  width=50>
			     <option value="light_rounded" '.$ss31.'>light_rounded</option>
			     <option value="dark_rounded" '.$ss32.'>dark_rounded</option>
			     <option value="light_square" '.$ss33.'>light_square</option>
			     <option value="dark_square" '.$ss34.'>dark_square</option>
			   </select> 
				 <br /> ';


	 echo '<center><input type="submit" value="'._SAVE.'" size=20></center><br><br>';

	 echo '<center>'.pmxCreateLinkForPrettyPhoto (MX_PRETTYPHOTO_DIR ."/test.jpg ","Test","<img src=\"" .MX_PRETTYPHOTO_DIR ."/test.jpg\"  width=100 heigh=100 >").'</center><br>';

	 echo '</form></fieldset>';
	 
	  echo '<center><a href="admin.php">[Return]</a><br>';
    CloseTable();
    echo "<br>";
    include("footer.php");


}

?>